# cdp-infra-tools

## Overview

Umbrella CDP infra helper tools that can be burned onto CDP images. This tool gathers different binaries/files from external locations and use them as build outputs.

#### Build

```bash
make build
```

#### Stack telemetry version matrix

There is a file on root `stack_telemetry_version_matrix.json`.
Please keep this up to date, as it is used as an artifact and also used for upgrading telemetry related packages. (informative only)

#### Components

- [cdp-logging-agent](docs/CDP_LOGGING_AGENT.md)
- [cdp-telemetry](docs/CDP_TELEMETRY.md)
- [cdp-ums-auth-proxy](docs/CDP_UMS_AUTH_PROXY.md)
- [cdp-request-signer](docs/CDP_REQUEST_SIGNER.md)
- [usage-processor](docs/USAGE_PROCESSOR.md)
- [minifi-agent](docs/CDP_MINIFI_AGENT.md)

#### Branching & Releasing

All cdp-infra components are released at once by releasing cdp-infra-tools. (after release the artifacts will appear in [https://archive.cloudera.com/cdp-infra-tools/latest/redhat7/yum/](https://archive.cloudera.com/cdp-infra-tools/latest/redhat7/yum/))

Example of creating a new branch: [RELENG-18399](https://jira.cloudera.com/browse/RELENG-18399)

After creating the branch, make sure cdp-infra-tools project itself will be built on the right branch by doing a fix like this: [5efce88](https://github.infra.cloudera.com/thunderhead/cdp-infra-tools/commit/5efce88b64a09b961e4d5897351fff5c1c3f3cbb) (if master and release branch won't have any other difference, this change is not a must, but if you want to work on this branch after it has been created, do the change)

Example of creating a new release: [RELENG-18408](https://jira.cloudera.com/browse/RELENG-18408)

#### Builds

From the master branch, a `0.1.0` version will be always produced. The release branch naming pattern should look like this: `CDP-INFRA-TOOLS-x.y.z`

[Releng Portal Link](https://release.infra.cloudera.com/buildinfo?stack=CDP-INFRA-TOOLS&stack_version=0.1.0&branch=master&irn=master)