#!/bin/sh

DOCKER_VERSION=$1
DOCKER_REGISTRY=$2
TARGET_PLATFORM=$3

if [[ "$TARGET_PLATFORM" == "redhat8" ]]; then
    # build test image
    docker build -t ${DOCKER_REGISTRY}/cloudera/cdp-logging-agent-rpm-test:${DOCKER_VERSION} -f Dockerfile.rpm-${TARGET_PLATFORM} .
    # run scan
    docker run -v /tmp:/tmp -v /var/run/docker.sock:/var/run/docker.sock docker-private.infra.cloudera.com/aquasec/scanner:2022.4.217-ubi8-fips scan -H https://aquasec.infra.cloudera.com -U scanner -P cloudera --local ${DOCKER_REGISTRY}/cloudera/cdp-logging-agent-rpm-test:${DOCKER_VERSION} --text --hide-base --checkonly
    # remove leftover after scan
    rm -rf /tmp/fanal*
fi