#!/bin/sh

BUILDER_NAME=$1
OUTPUT_FOLDER=$2
WORKDIR=$3
DOCKER_VERSION=$4
RPM_PROFILES=$5
DOCKER_REGISTRY=$6

docker pull ${DOCKER_REGISTRY}/cloudera/${BUILDER_NAME}:${DOCKER_VERSION}
if [[ "$?" != "0" ]]; then
    docker build --build-arg DOCKER_REGISTRY=${DOCKER_REGISTRY} --build-arg BASE_IMAGE_VERSION=${DOCKER_VERSION} --build-arg GEM_PROFILES=${RPM_PROFILES} -t ${DOCKER_REGISTRY}/cloudera/${BUILDER_NAME}:${DOCKER_VERSION} -f Dockerfile.pkg .
    if [[ "$?" != "0" ]]; then
      exit 1
    fi
fi
mkdir -p ${WORKDIR}/target/${OUTPUT_FOLDER}/ && mkdir -p ../target/cdp-logging-agent
if [[ "$?" != "0" ]]; then
    exit 1
fi
docker run --rm -v ${WORKDIR}:/opt/mount --user $(id -u):$(id -g) --rm --entrypoint cp ${DOCKER_REGISTRY}/cloudera/${BUILDER_NAME}:${DOCKER_VERSION} -r /cdp-logging-agent.tar.gz /opt/mount/target/${OUTPUT_FOLDER}/
if [[ "$?" != "0" ]]; then
    exit 1
fi
cd ${WORKDIR}/target/${OUTPUT_FOLDER}/ && tar -xzf cdp-logging-agent.tar.gz && rm cdp-logging-agent.tar.gz
if [[ "$?" != "0" ]]; then
    exit 1
fi
cp -r ${WORKDIR}/src/main/resources/overrides/* ${WORKDIR}/target/${OUTPUT_FOLDER}/
if [[ "$?" != "0" ]]; then
    exit 1
fi
chown -R $(id -u):$(id -g) ${WORKDIR}/target/${OUTPUT_FOLDER}
if [[ "$?" != "0" ]]; then
    exit 1
fi
