#!/bin/sh

BUILD_FROM=$1
OUTPUT_FOLDER=$2
WORKDIR=$3
DOCKER_VERSION=$4
DOCKER_REGISTRY=$5
BIN_VERSION=$6

rm -rf ${WORKDIR}/${OUTPUT_FOLDER}/cdp_logging_agent*.rpm
mkdir -p ${WORKDIR}/${OUTPUT_FOLDER}
docker pull ${DOCKER_REGISTRY}/cloudera_thirdparty/fpm:0.0.1
docker run --rm -v $(pwd):/src --user $(id -u):$(id -g) ${DOCKER_REGISTRY}/cloudera_thirdparty/fpm:0.0.1 --debug -s dir -t rpm -n cdp-logging-agent -v ${DOCKER_VERSION} -p /src/${OUTPUT_FOLDER}/cdp_logging_agent-${DOCKER_VERSION}.rpm \
	--rpm-user root --rpm-group root --license "ASL 2.0" --vendor "Cloudera Inc." --iteration 1 --url "https://cloudera.com" \
	--rpm-defattrfile 0750 --rpm-defattrdir 0750 \
	--rpm-tag "Requires(pre): /usr/bin/getent, /usr/sbin/adduser" \
	--rpm-tag "Requires: libyaml" \
	--rpm-digest sha256 \
	--after-install /src/src/main/resources/package-scripts/rpm/after-install.sh \
	--before-remove /src/src/main/resources/package-scripts/rpm/before-remove.sh \
	--before-install /src/src/main/resources/package-scripts/rpm/before-install.sh \
	--description "Data collector for Cloudera Inc." --rpm-summary "Data collector for Cloudera Inc." \
	-C /src/target/${BUILD_FROM} .