package main

import (
	"fmt"
	"os"

	"github.com/urfave/cli"
	proxy "github.infra.cloudera.com/cdp-request-signer/proxy"
)

// Version that will be generated during the build as a constant
var Version string

func main() {
	app := cli.NewApp()
	app.Name = "cdp-request-signer"
	app.Usage = "CDP reverse proxy for signing http requests."
	if len(Version) > 0 {
		app.Version = Version
	} else {
		app.Version = "0.1.0-SNAPSHOT"
	}
	app.Commands = []cli.Command{}
	app.Action = func(c *cli.Context) error {
		proxy.Serve(c.String("config"))
		return nil
	}
	app.Flags = []cli.Flag{
		cli.StringFlag{Name: "config, c", Usage: "YAML configuration file", Required: true},
	}
	err := app.Run(os.Args)
	if err != nil {
		fmt.Println(err)
		os.Exit(1)
	}
}
