# coding: utf-8

"""
    Cloudera DataBus Service

    Cloudera DataBus Service is a data transport infrastructure.  # noqa: E501

    OpenAPI spec version: 0.1-SNAPSHOT
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class Record(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'stream_name': 'str',
        'partition_key': 'str',
        'payload_size': 'int',
        'headers': 'list[Header]',
        'payload': 'str'
    }

    attribute_map = {
        'stream_name': 'streamName',
        'partition_key': 'partitionKey',
        'payload_size': 'payloadSize',
        'headers': 'headers',
        'payload': 'payload'
    }

    def __init__(self, stream_name=None, partition_key=None, payload_size=None, headers=None, payload=None):  # noqa: E501
        """Record - a model defined in Swagger"""  # noqa: E501

        self._stream_name = None
        self._partition_key = None
        self._payload_size = None
        self._headers = None
        self._payload = None
        self.discriminator = None

        self.stream_name = stream_name
        self.partition_key = partition_key
        self.payload_size = payload_size
        self.headers = headers
        if payload is not None:
            self.payload = payload

    @property
    def stream_name(self):
        """Gets the stream_name of this Record.  # noqa: E501

        Name of the target DataStream.  # noqa: E501

        :return: The stream_name of this Record.  # noqa: E501
        :rtype: str
        """
        return self._stream_name

    @stream_name.setter
    def stream_name(self, stream_name):
        """Sets the stream_name of this Record.

        Name of the target DataStream.  # noqa: E501

        :param stream_name: The stream_name of this Record.  # noqa: E501
        :type: str
        """
        if stream_name is None:
            raise ValueError("Invalid value for `stream_name`, must not be `None`")  # noqa: E501

        self._stream_name = stream_name

    @property
    def partition_key(self):
        """Gets the partition_key of this Record.  # noqa: E501

        Partition key. Variance should be high enough to ensure even distribution.  # noqa: E501

        :return: The partition_key of this Record.  # noqa: E501
        :rtype: str
        """
        return self._partition_key

    @partition_key.setter
    def partition_key(self, partition_key):
        """Sets the partition_key of this Record.

        Partition key. Variance should be high enough to ensure even distribution.  # noqa: E501

        :param partition_key: The partition_key of this Record.  # noqa: E501
        :type: str
        """
        if partition_key is None:
            raise ValueError("Invalid value for `partition_key`, must not be `None`")  # noqa: E501

        self._partition_key = partition_key

    @property
    def payload_size(self):
        """Gets the payload_size of this Record.  # noqa: E501

        Expected size of the payload in bytes, whether inlined or to be sent out of band.  # noqa: E501

        :return: The payload_size of this Record.  # noqa: E501
        :rtype: int
        """
        return self._payload_size

    @payload_size.setter
    def payload_size(self, payload_size):
        """Sets the payload_size of this Record.

        Expected size of the payload in bytes, whether inlined or to be sent out of band.  # noqa: E501

        :param payload_size: The payload_size of this Record.  # noqa: E501
        :type: int
        """
        if payload_size is None:
            raise ValueError("Invalid value for `payload_size`, must not be `None`")  # noqa: E501

        self._payload_size = payload_size

    @property
    def headers(self):
        """Gets the headers of this Record.  # noqa: E501

        Arbitrary metadata that will be made available to subscribers of the message.  # noqa: E501

        :return: The headers of this Record.  # noqa: E501
        :rtype: list[Header]
        """
        return self._headers

    @headers.setter
    def headers(self, headers):
        """Sets the headers of this Record.

        Arbitrary metadata that will be made available to subscribers of the message.  # noqa: E501

        :param headers: The headers of this Record.  # noqa: E501
        :type: list[Header]
        """
        if headers is None:
            raise ValueError("Invalid value for `headers`, must not be `None`")  # noqa: E501

        self._headers = headers

    @property
    def payload(self):
        """Gets the payload of this Record.  # noqa: E501

        Optional inlined payload encoded in base64 format. Decoded size cannot exceed 1MB.  # noqa: E501

        :return: The payload of this Record.  # noqa: E501
        :rtype: str
        """
        return self._payload

    @payload.setter
    def payload(self, payload):
        """Sets the payload of this Record.

        Optional inlined payload encoded in base64 format. Decoded size cannot exceed 1MB.  # noqa: E501

        :param payload: The payload of this Record.  # noqa: E501
        :type: str
        """
        if payload is not None and len(payload) > 1048576:
            raise ValueError("Invalid value for `payload`, length must be less than or equal to `1048576`")  # noqa: E501
        if payload is not None and len(payload) < 0:
            raise ValueError("Invalid value for `payload`, length must be greater than or equal to `0`")  # noqa: E501

        self._payload = payload

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(Record, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, Record):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
