import os
import subprocess
import logging

logger=logging.getLogger(__name__)

class ExternalCommand:

    def __init__(self, command):
        self.command=command

    def run(self, doNotSplit=False):
        logger.debug("Running the following external command: %s" % self.command)
        if doNotSplit:
            proc = subprocess.Popen(self.command, 
                                stdout=subprocess.PIPE, 
                                stderr=subprocess.PIPE, 
                                stdin=subprocess.PIPE, 
                                shell=True)
        else:
            proc = subprocess.Popen(self.command.split(), 
                                stdout=subprocess.PIPE, 
                                stderr=subprocess.PIPE, 
                                stdin=subprocess.PIPE)
        stdout, stderr = proc.communicate()
        logger.debug("return code: %s" % str(proc.returncode))
        logger.debug("stdout: %s" % stdout)
        logger.debug("stderr: %s" % stderr)
        return stdout, stderr, proc.returncode