import os
import shutil
import glob
import logging

logger=logging.getLogger(__name__)

def clean_directory(dir, pattern):
    if pattern:
        fullPattern=os.path.join(dir, pattern)
        fileList = glob.glob(fullPattern, recursive=True)
        logger.debug("Check files with the following pattern: %s" % (fullPattern))
        for filePath in fileList:
            try:
                if os.path.exists(filePath) and os.path.isfile(filePath):
                    logger.debug("Delete file: %s" % (filePath))
                    os.remove(filePath)
            except:
                logger.error("Error while deleting file : %s" % (filePath))
    else:
        if dir.endswith(os.sep):
            for root, dirs, files in os.walk(dir):
                for f in files:
                    logger.debug("Unlink file: %s" % (os.path.join(root, f)))
                    os.unlink(os.path.join(root, f))
                for d in dirs:
                    logger.debug("Delete folder: %s" % (os.path.join(root, d)))
                    shutil.rmtree(os.path.join(root, d))
        else:
            shutil.rmtree(dir)