import json
from tabulate import tabulate

class ResponseHolder(object):

    def __init__(self, map_content={}, tuple_content=list()):
        self.map_content = map_content
        self.tuple_content = tuple_content
    
    def to_json(self, pretty=False, sortKeys=False):
        if self.map_content:
            if pretty:
                return json.dumps(self.map_content, indent=2, sort_keys=sortKeys)
            else:    
                return json.dumps(self.map_content)
        else:
            if pretty:
                return json.dumps(self.tuple_content, indent=2, sort_keys=sortKeys)
            else:
                return json.dumps(self.tuple_content)

    def to_table(self, headers=[], tablefmt='pretty'):
        if self.map_content:
            if headers:
                headers = self.map_content.keys()
            return tabulate(list(self.map_content.items()), headers=headers, tablefmt=tablefmt)
        else:
            return tabulate(self.tuple_content, headers=headers, tablefmt=tablefmt)

    def to_html(self, headers=[]):
        return self.to_table(headers, tablefmt='html')
