# DataBus CLI

## Description

CDP telemetry binary has a command group called `databus`. This can call databus `putRecord` request for both stream data or upload a single file.

## Usage

File upload example:

- Upload file by `/putRecord` to DataBus S3:

```bash
cdp-telemetry databus upload --credential-file <databus credential ini file> --url <databus url> --partition-key <partition> --stream <stream name> --file <file to upload to databus s3> --extra-headers-file <yaml file with extra headers>
```

Note: `--extra-headers-file` input is a YAML file that contains key/value pairs (dynamic - added as extra databus headers) that are used by Cloudbreak when generated bundles (by `filecollector`) are uploaded to databus S3. (for support)

- Upload data by `/putRecord` 

```bash
cdp-telemetry databus put-record --credential-file <databus credential ini file> --url <databus url> --partition-key <partition> --stream <stream name> --file <file that contains the data to process>
```

Run locally:

```bash
source env1 # if python virtualenv has been created by makefile before
python3 setup.py install
python3 cdp_telemetry/cli.py databus <subcommand> 
```

## Debug

You can find more details about the upload in `/var/log/cdp-telemetry/storage.log` or `/var/log/cdp-telemetry/upload.log`(on VMs) or `/var/log/cdp-telemetry/cdp-telemetry.log` (depending on how the command was called - log file can be defined by environment variable `CDP_TELEMETRY_LOGGER_FILENAME`)

## Relationship with diagnostics

Cloudbreak can trigger the use of these storage commands during the diagnostics flow at the upload phase (after collection one - which is done by `filecollector`), but only if SUPPORT destination is used. (from the UDX UI, that is the default)
