# Storage CLI

## Description

CDP telemetry binary has a command group called `storage`. The goal for this command is to provide different cloud provider specific file transfer in one single binary.

## Usage

S3 example:

```bash
cdp-telemetry storage s3 upload --bucket <s3 bucket> -p <file pattern to upload> --location <output location> --region <aws region - not required>
```

ABFS example:

```bash
cdp-telemetry storage abfs upload --account <azure account> --container <azure container> -p <file pattern to upload> --location <upload location inside the container>
```

GCS example: 

```bash
cdp-telemetry storage gcs upload --bucket <gcs bucket> -p <file pattern to upload> --location <output location>
```

Run locally:

```bash
source env1 # if python virtualenv has been created by makefile before
python3 setup.py install
python3 cdp_telemetry/cli.py storage <subcommand> 
```

## Debug

You can find more details about the upload in `/var/log/cdp-telemetry/storage.log` or `/var/log/cdp-telemetry/upload.log` (on CB VMs) or `/var/log/cdp-telemetry/cdp-telemetry.log` (depending on how the command was called - log file can be defined by environment variable `CDP_TELEMETRY_LOGGER_FILENAME`)

## Relationship with diagnostics

Cloudbreak can trigger the use of these storage commands during the diagnostics flow at the upload phase (after collection one - which is done by `filecollector`), but only if `CLOUD_STORAGE` destination is used.
