package main

import (
	cmd "filecollector/cmd"
	"fmt"
	"os"

	"github.com/urfave/cli"
)

// Version that will be generated during the build as a constant
var Version string

func main() {
	app := cli.NewApp()
	app.Name = "filecollector"
	app.Usage = "CLI tool for collecting and redacting files"
	app.EnableBashCompletion = true

	if len(Version) > 0 {
		app.Version = Version
	} else {
		app.Version = "0.1.0-SNAPSHOT"
	}
	app.Commands = []cli.Command{}
	app.Commands = append(app.Commands, cmd.CollectCommand())
	err := app.Run(os.Args)
	if err != nil {
		fmt.Println(err)
		os.Exit(1)
	}
}
