#!/bin/bash

: ${CDP_TELEMETRY_FPM_IMAGE:="docker-private.infra.cloudera.com/cloudera/cdp-telemetry-fpm"}
: ${CDP_TELEMETRY_FPM_VERSION:="v0.0.1"}
: ${CDP_TELEMETRY_PYINSTALLER_IMAGE:="docker-private.infra.cloudera.com/cloudera/cdp-telemetry-pyinstaller"}
: ${CDP_TELEMETRY_PYINSTALLER_VERSION:="v0.0.1"}

 wget -q -O - https://github.infra.cloudera.com/raw/thunderhead/thunderhead/master/tools/cdpcp-build-artifact-publisher/docker-login.py | python3

echo "Running command: docker pull $CDP_TELEMETRY_FPM_IMAGE:$CDP_TELEMETRY_FPM_VERSION"
docker pull "$CDP_TELEMETRY_FPM_IMAGE:$CDP_TELEMETRY_FPM_VERSION"
if [[ "$?" == "0" ]]; then
    echo "CDP telemetry FPM image exists, new one won't be created"
else
  docker build -t cloudera/cdp-telemetry-fpm -f Dockerfile.fpm .
	docker tag "cloudera/cdp-telemetry-fpm:latest" "$CDP_TELEMETRY_FPM_IMAGE:$CDP_TELEMETRY_FPM_VERSION"
	docker push "$CDP_TELEMETRY_FPM_IMAGE:$CDP_TELEMETRY_FPM_VERSION"
fi

echo "Running command: docker pull $CDP_TELEMETRY_PYINSTALLER_IMAGE:$CDP_TELEMETRY_PYINSTALLER_VERSION"
docker pull "$CDP_TELEMETRY_PYINSTALLER_IMAGE:$CDP_TELEMETRY_PYINSTALLER_VERSION"
if [[ "$?" == "0" ]]; then
    echo "CDP telemetry PYINSTALLER image exists, new one won't be created"
else
  docker build -t cloudera/cdp-telemetry-pyinstaller -f Dockerfile.pyinstaller-linux .
	docker tag "cloudera/cdp-telemetry-pyinstaller:latest" "$CDP_TELEMETRY_PYINSTALLER_IMAGE:$CDP_TELEMETRY_PYINSTALLER_VERSION"
	docker push "$CDP_TELEMETRY_PYINSTALLER_IMAGE:$CDP_TELEMETRY_PYINSTALLER_VERSION"
fi