import unittest

import cdp_telemetry.utils.ccm_config_holder as ccm_config_holder

class TestCcmConfigHolder(unittest.TestCase):

    def test_ccm_proxy_config_parsing(self):
        configHolder = ccm_config_holder.CcmConfigHolder("examples/ccm/config.toml", "examples/ccm/jumpgate/config.toml", "examples/ccm/jumpgate/proxy.env")
        proxySettings = configHolder.get_ccm_v2_proxy_settings()
        assert ( configHolder.is_jumpgate == True)
        assert ( proxySettings.get_full_proxy_url() == "http://user:pwd@localhost:3128"), "got " + proxySettings.get_full_proxy_url()
        assert ( proxySettings.get_user() == "user"), "got " + proxySettings.get_user()
        assert ( proxySettings.get_password() == "pwd"), "got " + proxySettings.get_password()
        pass

    def test_ccm_config_parsing(self):
        configHolder = ccm_config_holder.CcmConfigHolder("examples/ccm/config.toml", "examples/ccm/jumpgate/config.toml", "examples/ccm/jumpgate/proxy.env")
        assert ( configHolder.ccm_v2_config_map.get("relayServer") == "https://google.com"), "got " + configHolder.ccm_v2_config_map.get("relayServer")
        assert ( configHolder.ccm_v2_config_map.get('clientAuthenticationKey') == "/tmp/keypath.pem"), "got " + configHolder.ccm_v2_config_map.get("clientAuthenticationKey")
        assert ( configHolder.ccm_v2_config_map.get('relayServerCertificate') == "/tmp/trustedproxy.cert"), "got " + configHolder.ccm_v2_config_map.get("relayServerCertificate")
        pass
    

if __name__ == '__main__':
    
    unittest.main()