// Code generated by protoc-gen-go. DO NOT EDIT.
// source: resources.proto

package usermanagement

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// A simple name and ID pair used to identify a Resource.
//
// The semantics of the name here depend on the resource. For some resources
// this is the user-defined name, for others it may be the same as the ID. For
// others it may be something else entirely. The name must be able to be turned
// into the hash key for the resource in our store in the context of the request
// though.
//
// The ID generally referes to a resource UUID that immutably and uniquely
// defines the resource. The ID is generally not front and center in front of
// the user, but is generally part of the resource portion of a CRN.
//
// See the Resources interface for more information.
type Id struct {
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	Id   string `protobuf:"bytes,2,opt,name=id" json:"id,omitempty"`
}

func (m *Id) Reset()                    { *m = Id{} }
func (m *Id) String() string            { return proto.CompactTextString(m) }
func (*Id) ProtoMessage()               {}
func (*Id) Descriptor() ([]byte, []int) { return fileDescriptor2, []int{0} }

func (m *Id) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Id) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

// A simple object holding an account ID and a set of IDs to be used within that
// account context.
//
// Note that this object is generally only useful in the context of an operation
// that operates across account boundries, which is rare. For operations that
// operate within an account, it's generally better to just put the account ID
// in the top level messages.
type IdsWithinAccount struct {
	AccountId string `protobuf:"bytes,1,opt,name=accountId" json:"accountId,omitempty"`
	Id        []*Id  `protobuf:"bytes,2,rep,name=id" json:"id,omitempty"`
}

func (m *IdsWithinAccount) Reset()                    { *m = IdsWithinAccount{} }
func (m *IdsWithinAccount) String() string            { return proto.CompactTextString(m) }
func (*IdsWithinAccount) ProtoMessage()               {}
func (*IdsWithinAccount) Descriptor() ([]byte, []int) { return fileDescriptor2, []int{1} }

func (m *IdsWithinAccount) GetAccountId() string {
	if m != nil {
		return m.AccountId
	}
	return ""
}

func (m *IdsWithinAccount) GetId() []*Id {
	if m != nil {
		return m.Id
	}
	return nil
}

func init() {
	proto.RegisterType((*Id)(nil), "resources.Id")
	proto.RegisterType((*IdsWithinAccount)(nil), "resources.IdsWithinAccount")
}

func init() { proto.RegisterFile("resources.proto", fileDescriptor2) }

var fileDescriptor2 = []byte{
	// 194 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x44, 0x8f, 0x3f, 0x6b, 0xc3, 0x30,
	0x10, 0x47, 0xb1, 0x5a, 0x0a, 0x52, 0xa9, 0x5b, 0x34, 0x79, 0x68, 0xa1, 0x78, 0xf2, 0x24, 0x68,
	0xf3, 0x09, 0xe2, 0x4d, 0x4b, 0x02, 0x5e, 0x02, 0xd9, 0x14, 0xdd, 0x11, 0x0b, 0x22, 0x5d, 0xd0,
	0x9f, 0x7c, 0xfe, 0x10, 0xc7, 0x89, 0xb7, 0xc7, 0x83, 0xdf, 0xe3, 0x4e, 0x7c, 0x46, 0x4c, 0x54,
	0xa2, 0xc5, 0xa4, 0xce, 0x91, 0x32, 0x49, 0xfe, 0x14, 0x6d, 0x27, 0x98, 0x06, 0x29, 0xc5, 0x6b,
	0x30, 0x1e, 0x9b, 0xea, 0xb7, 0xea, 0xf8, 0x30, 0xb1, 0xac, 0x05, 0x73, 0xd0, 0xb0, 0xc9, 0x30,
	0x07, 0xed, 0x56, 0x7c, 0x69, 0x48, 0x3b, 0x97, 0x47, 0x17, 0xd6, 0xd6, 0x52, 0x09, 0x59, 0x7e,
	0x0b, 0x6e, 0xee, 0xa8, 0x61, 0x1e, 0x2f, 0x42, 0xfe, 0xcc, 0x85, 0x97, 0xee, 0xfd, 0xff, 0x43,
	0x2d, 0x47, 0x68, 0xb8, 0x05, 0xfb, 0x8d, 0xf8, 0xb3, 0xe4, 0x95, 0x3d, 0x51, 0x01, 0x8c, 0x46,
	0xe5, 0xb1, 0x04, 0xc0, 0x38, 0xa2, 0x01, 0x95, 0x30, 0x5e, 0x9c, 0x45, 0x65, 0xc9, 0x7b, 0x0a,
	0xcb, 0xb6, 0xe7, 0xc3, 0x03, 0xf7, 0x75, 0x49, 0x18, 0xbd, 0x09, 0xe6, 0x88, 0x1e, 0x43, 0x3e,
	0xbc, 0x4d, 0xcf, 0xad, 0xae, 0x01, 0x00, 0x00, 0xff, 0xff, 0x56, 0x5f, 0x4b, 0xc2, 0xef, 0x00,
	0x00, 0x00,
}
