package proxy

import (
	"time"

	log "github.com/sirupsen/logrus"
)

func InitLogger(config *UMSAuthProxyConfig) {
	logLevel, err := log.ParseLevel(config.LoggerConfig.Level)
	if err != nil {
		panic(err)
	}
	log.SetLevel(logLevel)
	log.SetFormatter(&log.JSONFormatter{
		TimestampFormat: time.RFC3339,
		FieldMap: log.FieldMap{
			log.FieldKeyMsg: "message",
		},
	})
}
