# CDP MiNiFi Agent

## Description

MiNiFi agent is a logging agent (dedicated `cdp-logging-agent` alternative) written in C++ that contains required cloud storage and databus plugin.

## Build 

The `cdp-minifi-agent` RPM can be generated by this command:

```bash
mvn -pl cdp-minifi-agent clean package
```

Note that it only packahe the included minifi tar.gz file that is located in `/src/main/resources`. For long term it would be better to download this from a cloudera managed location. (the tar.gz file itself was downloaded from internal hortonworks github for `minifi-cpp` project). Therefore, for any update a new tar.gz file will be required in the source.

## RPM on cloudbreak-images

RPM is uploaded to [https://archive.cloudera.com/cdp-infra-tools](https://archive.cloudera.com/cdp-infra-tools), the same way as it is the case with `cdp-logging-agent` or `cdp-telemetry`, as for other components, once cdp-infra-tools is released, the newest released RPM will be uploaded to the archive.

By installing the RPM 

## TODO: replace fluentd by MiNiFi - How?

The replacement (initial) can be partly done by MiNiFi team as well by following these steps (as `cdp-minifi-agent` is included in cloudbreak VM images):

- Start a DataHub cluster
- On the master node, create a folder in `/srv/salt/` called e.g. `minifi`. In that you will need an init.sls to create a state
- Salt can use pillar or grains inputs (see more in salt [documentation](https://docs.saltproject.io/en/latest/topics/tutorials/pillar.html)), you can gather them from this command: `/opt/salt_*/bin/salt '*' pillar.items`
- For fluentd these pillars are used: `databus`, `metering`, `fluent` and `telemetry`, the goal for the minifi state is to start the `cdp-minifi-agent` service by `init` state (by running `/opt/salt_*/bin/salt '*' state.apply minifi.init`) using these inputs, and produce the same data that is produce by `cdp-logging-agent`. The `cdp-logging-agent` configurations can be find in `/etc/cdp-logging-agent`. Based on the configs, you should be able to figure out how the log path patterns or outputs should look like. For testing reasons it worth to change the path a bit for MiNiFi. (like use a sub-folder for cloud storage)
- In case the produced output is similar, CB team task would be to include the state in the highstate, disable fluentd if minifi is used and provide pillars for the minifi, or maybe first just re-use the `fluent` pillars - until that is not ready.

## Redhat 8 support

Probably for redhat 8 builds, it would be wise to a different MiNiFi tar.gz that was built on Centos 8.
