#!/bin/env bash

readlinkf(){
  perl -MCwd -e 'print Cwd::abs_path shift' "$1";
}

if [ "$(uname -s)" = 'Linux' ]; then
  SCRIPT_DIR="`dirname "$(readlink -f "$0")"`"
else
  SCRIPT_DIR="`dirname "$(readlinkf "$0")"`"
fi
stack=$1
PARENT_SCRIPT_DIR="`dirname $SCRIPT_DIR`"
TEST_JSON_FILE="$PARENT_SCRIPT_DIR/it/results/test_${stack}_results.json"

function evaluate_results() {
    if [[ -f $TEST_JSON_FILE ]]; then
        echo "Json result: "
        failures_length=$(cat $TEST_JSON_FILE | jq -r '.failures | length')
        cat $TEST_JSON_FILE | jq .
        num_failures=$((failures_length))
        if [ $num_failures -gt 0 ]; then
          echo "Number of failures: $num_failures. INTEGRATION TESTS FAILED."
          exit 1
        else
          echo "Number of failures: $num_failures. INTEGRATION TESTS PASSED."
          exit 0
        fi
    else
        "Test result json ($TEST_JSON_FILE) does not exist."
        exit 1
    fi
}

evaluate_results