#!/bin/env bash

readlinkf(){
  perl -MCwd -e 'print Cwd::abs_path shift' "$1";
}

if [ "$(uname -s)" = 'Linux' ]; then
  SCRIPT_DIR="`dirname "$(readlink -f "$0")"`"
else
  SCRIPT_DIR="`dirname "$(readlinkf "$0")"`"
fi
PARENT_SCRIPT_DIR="`dirname $SCRIPT_DIR`"
stack=$1
stack_location=$PARENT_SCRIPT_DIR/$stack

docker-compose -f $stack_location/docker-compose.yaml -f $stack_location/docker-compose-it.yaml up -d --build
timeout 300s docker wait ${stack}_integration-tests_1 || (bash scripts/docker-cleanup-helper.sh && echo "Integration tests timed out" && exit 1)
echo "Print details about docker containers:" && docker ps -a
bash scripts/docker-cleanup-helper.sh ${stack}
bash scripts/check-test-results.sh ${stack}
