// Code generated by protoc-gen-go. DO NOT EDIT.
// source: authorization.proto

package usermanagement

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// Object representing the check of a single right.
type RightCheck struct {
	// The right to check.
	Right string `protobuf:"bytes,1,opt,name=right" json:"right,omitempty"`
	// The resource to check if any. If no resource is specified or '*' is
	// specified then the resource to check will resolve to the account CRN
	// for the account of the actorCrn specified in the request that includes
	// this RightCheck. The account CRN represents all resources in the account.
	Resource string `protobuf:"bytes,2,opt,name=resource" json:"resource,omitempty"`
}

func (m *RightCheck) Reset()                    { *m = RightCheck{} }
func (m *RightCheck) String() string            { return proto.CompactTextString(m) }
func (*RightCheck) ProtoMessage()               {}
func (*RightCheck) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{0} }

func (m *RightCheck) GetRight() string {
	if m != nil {
		return m.Right
	}
	return ""
}

func (m *RightCheck) GetResource() string {
	if m != nil {
		return m.Resource
	}
	return ""
}

type CheckRightRequest struct {
	// The CRN of the actor to check.
	ActorCrn string `protobuf:"bytes,1,opt,name=actorCrn" json:"actorCrn,omitempty"`
	// The check to perform.
	Check *RightCheck `protobuf:"bytes,2,opt,name=check" json:"check,omitempty"`
}

func (m *CheckRightRequest) Reset()                    { *m = CheckRightRequest{} }
func (m *CheckRightRequest) String() string            { return proto.CompactTextString(m) }
func (*CheckRightRequest) ProtoMessage()               {}
func (*CheckRightRequest) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{1} }

func (m *CheckRightRequest) GetActorCrn() string {
	if m != nil {
		return m.ActorCrn
	}
	return ""
}

func (m *CheckRightRequest) GetCheck() *RightCheck {
	if m != nil {
		return m.Check
	}
	return nil
}

type CheckRightResponse struct {
}

func (m *CheckRightResponse) Reset()                    { *m = CheckRightResponse{} }
func (m *CheckRightResponse) String() string            { return proto.CompactTextString(m) }
func (*CheckRightResponse) ProtoMessage()               {}
func (*CheckRightResponse) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{2} }

type HasRightsRequest struct {
	// The CRN of the actor to check.
	ActorCrn string `protobuf:"bytes,1,opt,name=actorCrn" json:"actorCrn,omitempty"`
	// The check to perform.
	Check []*RightCheck `protobuf:"bytes,2,rep,name=check" json:"check,omitempty"`
}

func (m *HasRightsRequest) Reset()                    { *m = HasRightsRequest{} }
func (m *HasRightsRequest) String() string            { return proto.CompactTextString(m) }
func (*HasRightsRequest) ProtoMessage()               {}
func (*HasRightsRequest) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{3} }

func (m *HasRightsRequest) GetActorCrn() string {
	if m != nil {
		return m.ActorCrn
	}
	return ""
}

func (m *HasRightsRequest) GetCheck() []*RightCheck {
	if m != nil {
		return m.Check
	}
	return nil
}

type HasRightsResponse struct {
	// The results of the checks.
	Result []bool `protobuf:"varint,1,rep,packed,name=result" json:"result,omitempty"`
}

func (m *HasRightsResponse) Reset()                    { *m = HasRightsResponse{} }
func (m *HasRightsResponse) String() string            { return proto.CompactTextString(m) }
func (*HasRightsResponse) ProtoMessage()               {}
func (*HasRightsResponse) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{4} }

func (m *HasRightsResponse) GetResult() []bool {
	if m != nil {
		return m.Result
	}
	return nil
}

func init() {
	proto.RegisterType((*RightCheck)(nil), "authorization.RightCheck")
	proto.RegisterType((*CheckRightRequest)(nil), "authorization.CheckRightRequest")
	proto.RegisterType((*CheckRightResponse)(nil), "authorization.CheckRightResponse")
	proto.RegisterType((*HasRightsRequest)(nil), "authorization.HasRightsRequest")
	proto.RegisterType((*HasRightsResponse)(nil), "authorization.HasRightsResponse")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for Authorization service

type AuthorizationClient interface {
	// Get the service version.
	GetVersion(ctx context.Context, in *VersionRequest, opts ...grpc.CallOption) (*VersionResponse, error)
	// Does a rights check for the input actor. Fails with a PERMISSION_DENIED
	// error with a user-appropriate message if the check fails.
	// These rights handle authorization and not authentication
	// i.e., the rights of the actor are checked regardless of whether the actor is disabled.
	CheckRight(ctx context.Context, in *CheckRightRequest, opts ...grpc.CallOption) (*CheckRightResponse, error)
	// Performs a number of rights checks returning results rather than throwing.
	// This call should be used by clients to perform multiple rights checks as
	// part of a single operation. It is the caller's responsibility to craft an
	// appropriate error if the results indicate authorization failure. See
	// Scrutinizer.java for examples of user-appropriate errors.
	// These rights handle authorization and not authentication
	// i.e., the rights of the actor are returned regardless of whether the actor is disabled.
	HasRights(ctx context.Context, in *HasRightsRequest, opts ...grpc.CallOption) (*HasRightsResponse, error)
}

type authorizationClient struct {
	cc *grpc.ClientConn
}

func NewAuthorizationClient(cc *grpc.ClientConn) AuthorizationClient {
	return &authorizationClient{cc}
}

func (c *authorizationClient) GetVersion(ctx context.Context, in *VersionRequest, opts ...grpc.CallOption) (*VersionResponse, error) {
	out := new(VersionResponse)
	err := grpc.Invoke(ctx, "/authorization.Authorization/GetVersion", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authorizationClient) CheckRight(ctx context.Context, in *CheckRightRequest, opts ...grpc.CallOption) (*CheckRightResponse, error) {
	out := new(CheckRightResponse)
	err := grpc.Invoke(ctx, "/authorization.Authorization/CheckRight", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authorizationClient) HasRights(ctx context.Context, in *HasRightsRequest, opts ...grpc.CallOption) (*HasRightsResponse, error) {
	out := new(HasRightsResponse)
	err := grpc.Invoke(ctx, "/authorization.Authorization/HasRights", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Authorization service

type AuthorizationServer interface {
	// Get the service version.
	GetVersion(context.Context, *VersionRequest) (*VersionResponse, error)
	// Does a rights check for the input actor. Fails with a PERMISSION_DENIED
	// error with a user-appropriate message if the check fails.
	// These rights handle authorization and not authentication
	// i.e., the rights of the actor are checked regardless of whether the actor is disabled.
	CheckRight(context.Context, *CheckRightRequest) (*CheckRightResponse, error)
	// Performs a number of rights checks returning results rather than throwing.
	// This call should be used by clients to perform multiple rights checks as
	// part of a single operation. It is the caller's responsibility to craft an
	// appropriate error if the results indicate authorization failure. See
	// Scrutinizer.java for examples of user-appropriate errors.
	// These rights handle authorization and not authentication
	// i.e., the rights of the actor are returned regardless of whether the actor is disabled.
	HasRights(context.Context, *HasRightsRequest) (*HasRightsResponse, error)
}

func RegisterAuthorizationServer(s *grpc.Server, srv AuthorizationServer) {
	s.RegisterService(&_Authorization_serviceDesc, srv)
}

func _Authorization_GetVersion_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(VersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthorizationServer).GetVersion(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/authorization.Authorization/GetVersion",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthorizationServer).GetVersion(ctx, req.(*VersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authorization_CheckRight_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CheckRightRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthorizationServer).CheckRight(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/authorization.Authorization/CheckRight",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthorizationServer).CheckRight(ctx, req.(*CheckRightRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authorization_HasRights_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HasRightsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthorizationServer).HasRights(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/authorization.Authorization/HasRights",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthorizationServer).HasRights(ctx, req.(*HasRightsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Authorization_serviceDesc = grpc.ServiceDesc{
	ServiceName: "authorization.Authorization",
	HandlerType: (*AuthorizationServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetVersion",
			Handler:    _Authorization_GetVersion_Handler,
		},
		{
			MethodName: "CheckRight",
			Handler:    _Authorization_CheckRight_Handler,
		},
		{
			MethodName: "HasRights",
			Handler:    _Authorization_HasRights_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "authorization.proto",
}

func init() { proto.RegisterFile("authorization.proto", fileDescriptor6) }

var fileDescriptor6 = []byte{
	// 327 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x52, 0xbf, 0x4f, 0x32, 0x41,
	0x10, 0xfd, 0xf8, 0x08, 0x04, 0xc6, 0x60, 0x64, 0x25, 0x8a, 0xd7, 0x88, 0x57, 0x91, 0x98, 0xac,
	0x09, 0xf6, 0x26, 0x40, 0xa1, 0x25, 0x39, 0x8d, 0x85, 0x8d, 0xae, 0xcb, 0x84, 0xbb, 0x08, 0xbb,
	0x38, 0xbb, 0x4b, 0xe1, 0x7f, 0x6e, 0x67, 0x6e, 0xef, 0x38, 0x38, 0x88, 0x46, 0xcb, 0x37, 0x3f,
	0xde, 0x7b, 0xf3, 0x32, 0x70, 0x2c, 0x9c, 0x8d, 0x35, 0x25, 0x1f, 0xc2, 0x26, 0x5a, 0xf1, 0x25,
	0x69, 0xab, 0x59, 0xab, 0x54, 0x0c, 0x5a, 0x2b, 0x24, 0x53, 0x74, 0xc3, 0x1b, 0x80, 0x28, 0x99,
	0xc5, 0x76, 0x1c, 0xa3, 0x7c, 0x63, 0x1d, 0xa8, 0x51, 0x8a, 0xba, 0x95, 0x5e, 0xa5, 0xdf, 0x8c,
	0x32, 0xc0, 0x02, 0x68, 0x10, 0x1a, 0xed, 0x48, 0x62, 0xf7, 0xbf, 0x6f, 0x14, 0x38, 0x7c, 0x81,
	0xb6, 0x5f, 0xf5, 0x24, 0x11, 0xbe, 0x3b, 0x34, 0x7e, 0x41, 0x48, 0xab, 0x69, 0x4c, 0x2a, 0x67,
	0x2a, 0x30, 0xbb, 0x82, 0x9a, 0x4c, 0x17, 0x3c, 0xd3, 0xc1, 0xe0, 0x8c, 0x97, 0x3d, 0x6f, 0xcc,
	0x44, 0xd9, 0x5c, 0xd8, 0x01, 0xb6, 0xad, 0x60, 0x96, 0x5a, 0x19, 0x0c, 0x9f, 0xe1, 0xe8, 0x4e,
	0x18, 0x5f, 0x33, 0x7f, 0x94, 0xad, 0xfe, 0x4a, 0xf6, 0x12, 0xda, 0x5b, 0x02, 0x99, 0x2a, 0x3b,
	0x81, 0x3a, 0xa1, 0x71, 0xf3, 0x34, 0xa0, 0x6a, 0xbf, 0x11, 0xe5, 0x68, 0xf0, 0x59, 0x81, 0xd6,
	0x70, 0x9b, 0x90, 0x0d, 0x01, 0x6e, 0xd1, 0x3e, 0x66, 0x59, 0xb3, 0x53, 0xbe, 0x4e, 0x3d, 0xaf,
	0xe4, 0x96, 0x83, 0xee, 0x7e, 0x23, 0x3f, 0xf0, 0x1f, 0xbb, 0x07, 0xd8, 0x1c, 0xce, 0x7a, 0x3b,
	0x8e, 0xf7, 0x52, 0x0f, 0x2e, 0x7e, 0x98, 0x28, 0x48, 0x27, 0xd0, 0x2c, 0xce, 0x62, 0xe7, 0x3b,
	0x1b, 0xbb, 0x89, 0x06, 0xbd, 0xef, 0x07, 0xd6, 0x8c, 0xa3, 0x07, 0xe0, 0x52, 0x2f, 0xb8, 0x9c,
	0x6b, 0x37, 0x45, 0x12, 0xdc, 0xc6, 0x4e, 0x4d, 0x91, 0x62, 0x14, 0x53, 0x6e, 0x90, 0x56, 0x89,
	0xc4, 0x32, 0xcb, 0x88, 0x95, 0xa2, 0x9a, 0xa4, 0x7f, 0xf8, 0x74, 0xe8, 0x0c, 0xd2, 0x42, 0x28,
	0x31, 0xc3, 0x05, 0x2a, 0xfb, 0x5a, 0xf7, 0xef, 0x79, 0xfd, 0x15, 0x00, 0x00, 0xff, 0xff, 0x7e,
	0xeb, 0xf1, 0xa9, 0xd3, 0x02, 0x00, 0x00,
}
