// Code generated by protoc-gen-go. DO NOT EDIT.
// source: paging.proto

package usermanagement

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// Generally an RPC supporting paging will contain an integer page size and a
// PageToken pageToken as arguments with a PageToken nextPageToken in the
// response.
//
// An initial request for a first page of results would specify no input page
// token. The page size specified will be used if possible. If the page size
// argument is zero, the server will choose a page size.
//
// If a nextPageToken is set in the response, more results are available. This
// value should be returned as the page token for a subsequent call to get the
// next page of results.
type PageToken struct {
	// The maps below are the result of Dynamo's QueryResultPage.getLastEvaluatedKey encoded
	// into string maps. There is one map for string attributes and one for numeric attributes.
	// See DynamoUtils for utility encoding and decoding methods.
	ExclusiveStartKeyStringAttrs map[string]string `protobuf:"bytes,1,rep,name=exclusiveStartKeyStringAttrs" json:"exclusiveStartKeyStringAttrs,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	ExclusiveStartKeyNumAttrs    map[string]string `protobuf:"bytes,2,rep,name=exclusiveStartKeyNumAttrs" json:"exclusiveStartKeyNumAttrs,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *PageToken) Reset()                    { *m = PageToken{} }
func (m *PageToken) String() string            { return proto.CompactTextString(m) }
func (*PageToken) ProtoMessage()               {}
func (*PageToken) Descriptor() ([]byte, []int) { return fileDescriptor1, []int{0} }

func (m *PageToken) GetExclusiveStartKeyStringAttrs() map[string]string {
	if m != nil {
		return m.ExclusiveStartKeyStringAttrs
	}
	return nil
}

func (m *PageToken) GetExclusiveStartKeyNumAttrs() map[string]string {
	if m != nil {
		return m.ExclusiveStartKeyNumAttrs
	}
	return nil
}

func init() {
	proto.RegisterType((*PageToken)(nil), "paging.PageToken")
}

func init() { proto.RegisterFile("paging.proto", fileDescriptor1) }

var fileDescriptor1 = []byte{
	// 260 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x91, 0xcf, 0x4b, 0xc3, 0x30,
	0x14, 0xc7, 0x69, 0x8b, 0x83, 0x65, 0x22, 0x12, 0x3c, 0xd4, 0x21, 0x32, 0x3d, 0xed, 0x14, 0xc4,
	0x5d, 0xc4, 0x9b, 0x83, 0x9d, 0xfc, 0x55, 0x36, 0x4f, 0xde, 0x62, 0xfb, 0xc8, 0xca, 0x9a, 0x97,
	0xf1, 0xfa, 0x52, 0xed, 0xdf, 0xe1, 0x3f, 0x2c, 0x6d, 0xa7, 0x17, 0xb1, 0xea, 0x29, 0x79, 0x49,
	0xbe, 0x9f, 0xcf, 0x23, 0x4f, 0xec, 0x6f, 0xb5, 0xc9, 0xd1, 0xa8, 0x2d, 0x39, 0x76, 0x72, 0xd0,
	0x55, 0xe7, 0xef, 0x91, 0x18, 0x26, 0xda, 0xc0, 0x93, 0xdb, 0x00, 0xca, 0x57, 0x71, 0x02, 0x6f,
	0x69, 0xe1, 0xcb, 0xbc, 0x82, 0x15, 0x6b, 0xe2, 0x5b, 0xa8, 0x57, 0x4c, 0x39, 0x9a, 0x1b, 0x66,
	0x2a, 0xe3, 0x60, 0x12, 0x4d, 0x47, 0x97, 0x33, 0xb5, 0x43, 0x7d, 0x05, 0xd5, 0xa2, 0x27, 0xb5,
	0x40, 0xa6, 0x7a, 0xd9, 0x0b, 0x96, 0x28, 0x8e, 0xbf, 0xdd, 0x3f, 0x78, 0xdb, 0x59, 0xc3, 0xd6,
	0x7a, 0xf1, 0x07, 0xeb, 0x67, 0xa4, 0x53, 0xfe, 0x8c, 0x1c, 0x3f, 0x8a, 0xb3, 0x5f, 0x5b, 0x96,
	0x87, 0x22, 0xda, 0x40, 0x1d, 0x07, 0x93, 0x60, 0x3a, 0x5c, 0x36, 0x5b, 0x79, 0x24, 0xf6, 0x2a,
	0x5d, 0x78, 0x88, 0xc3, 0xf6, 0xac, 0x2b, 0xae, 0xc3, 0xab, 0x60, 0x7c, 0x27, 0x4e, 0xfb, 0xbb,
	0xf9, 0x0f, 0x6d, 0x7e, 0x2f, 0x54, 0xea, 0xac, 0x4a, 0x0b, 0xe7, 0x33, 0x20, 0xad, 0x78, 0xed,
	0x31, 0x03, 0x5a, 0x83, 0xce, 0x54, 0x09, 0x54, 0xe5, 0x29, 0x34, 0x0f, 0xac, 0xc3, 0xdd, 0xa7,
	0xcc, 0x47, 0x49, 0xbb, 0x26, 0xcd, 0x70, 0x9f, 0x0f, 0x7c, 0x09, 0x64, 0x35, 0x6a, 0x03, 0x16,
	0x90, 0x5f, 0x06, 0xed, 0xcc, 0x67, 0x1f, 0x01, 0x00, 0x00, 0xff, 0xff, 0x46, 0x58, 0x04, 0x9b,
	0x03, 0x02, 0x00, 0x00,
}
