package main

import (
	"fmt"
	"log"
	"net"

	ums "github.infra.cloudera.com/ums-mock/generated/usermanagement"
	"github.infra.cloudera.com/ums-mock/mock"
	grpc "google.golang.org/grpc"
)

func main() {

	conn, err := net.Listen("tcp", ":61982")
	if err != nil {
		log.Fatal("tcp connection error: ", err.Error())
	}
	grpcServer := grpc.NewServer()
	mockServer := mock.MockUMSServer{}
	ums.RegisterUserManagementServer(grpcServer, &mockServer)
	ums.RegisterAuthorizationServer(grpcServer, &mockServer)
	fmt.Println("Starting grpc server at port 61982")
	if err := grpcServer.Serve(conn); err != nil {
		log.Fatal(err)
	}

}
